> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cocoondata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# <access-service>/api/v1/i18n/bundles

## URL structure&#x20;

```text theme={null}
https://access-service.xy-company.com/api/v1/i18n/bundles
```

## Supported methods and overview&#x20;

* `GET` - used to retrieve a list of internationalization (i18n) bundles which are currently available on the Covata Platform.

> [!NOTE]
>
> This method takes no parameters.

## Detailed description&#x20;

This API endpoint retrieves a list of i18n bundles which are currently available on the Covata Platform.

These are i18n bundles which either are built in or have been uploaded to the Covata Platform.

## Supported roles&#x20;

This API endpoint supports the following Covata user [roles](/2.16/admin/administering-users.md#a-users-roles) (as described in the [Covata Platform Administrator's Guide](/2.16/admin.md)):

* [Originator](/2.16/admin/administering-users.md#originator-role)
* [Collaborator](/2.16/admin/administering-users.md#collaborator-role)
* [Ad hoc](/2.16/admin/administering-users.md#adhoc-role)
* [System administrator](/2.16/admin/administering-users.md#system-administrator-role)
* [User administrator](/2.16/admin/administering-users.md#user-administrator-role)

The Covata Platform's resources available to one of these Covata users (above) is determined by the access token passed in the [header](/2.16/api/access-service-api-v1-i18n-bundles.md#access-service-api-v1-i18n-bundles-required-headers) of requests to this endpoint.

## Required headers&#x20;

The appropriate access token as the `Bearer` token:

* `Authorization: Bearer a1b2c3d4-e5f6-g7h8-i9j0-k1l2m3n4o5p6`

## Returns&#x20;

A JSON-formatted response containing the following members:

* **items** - .

  * **localeCode** - .
  * **displayDescription** - .
* **offset** - .
* **count** - .

  **Example:**

  ```json theme={null}
  {
    "items": [
      {
        "localeCode": "it_it",
        "displayDescription": "Italian (Italy)"
      },
      {
        "localeCode": "en_us",
        "displayDescription": "English (US)"
      },
      {
        "localeCode": "es_es",
        "displayDescription": "Spanish (Spain)"
      },
      {
        "localeCode": "da",
        "displayDescription": "Danish"
      },
      {
        "localeCode": "fr_fr",
        "displayDescription": "French (France)"
      },
      {
        "localeCode": "de_de",
        "displayDescription": "German (Germany)"
      }
    ],
    "offset": "0",
    "count": "6"
  }
  ```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.